Ir al contenido

Reintentar entrega

Reencola una entrega de webhook para envío inmediato.

POSThttps://api.kuti.pe/v1/webhook-deliveries/{id}/retry
Útil si tu endpoint falló y ya lo corregiste. El id es whd_… (no el evt_…).

Path

id
stringrequerido
Id de la entrega (whd_…).Ej: whd_01J8Z3K4M5N6P7Q8R9S0T1U2V3

Language

Credentials

Header

Authorization

Secret key de developer · ejemplos con librerías estándar (aún sin SDK)

cURL Request
curl -s 'https://api.kuti.pe/v1/webhook-deliveries/whd_01J8Z3K4M5N6P7Q8R9S0T1U2V3/retry' \
  -X POST \
  -H 'Authorization: Bearer kuti_live_…'
Librería estándar · sin SDK propio
Response

Elige un ejemplo de respuesta:

application/json
200OK
{
  "success": true,
  "message": "Webhook delivery requeued",
  "data": {
    "id": "whd_01J8Z3K4M5N6P7Q8R9S0T1U2V3",
    "event_id": "evt_01J8Z3K4M5N6P7Q8R9S0T1U2V3",
    "webhook_endpoint_id": "we_01J8Z3K4M5N6P7Q8R9S0T1U2V3",
    "endpoint_url": "https://merchant.example.com/webhooks/kuti",
    "status": "PENDING",
    "attempts": 2,
    "next_attempt_at": "2026-09-04T11:00:00.000000Z"
  }
}